Help Center

Which iOS or Android versions are compatible with the Road-Eyes app?

Alex -

All versions from iOS 8 and above (all latest models from iPhone 4) , all Android 4.0+ and above are compatible with the Road-Eyes app.

Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.
Powered by Zendesk